Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GMFGenFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFGenFactoryImpl

    public interface GMFGenFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`static GMFGenFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`ColorAttributes` `createColorAttributes()` Returns a new object of class 'Color Attributes'
`CreateShortcutAction` `createCreateShortcutAction()` Returns a new object of class 'Create Shortcut Action'
`CustomBehaviour` `createCustomBehaviour()` Returns a new object of class 'Custom Behaviour'
`CustomParser` `createCustomParser()` Returns a new object of class 'Custom Parser'
`CustomTabFilter` `createCustomTabFilter()` Returns a new object of class 'Custom Tab Filter'
`DefaultSizeAttributes` `createDefaultSizeAttributes()` Returns a new object of class 'Default Size Attributes'
`DesignLabelModelFacet` `createDesignLabelModelFacet()` Returns a new object of class 'Design Label Model Facet'
`DynamicModelAccess` `createDynamicModelAccess()` Returns a new object of class 'Dynamic Model Access'
`ExpressionLabelModelFacet` `createExpressionLabelModelFacet()` Returns a new object of class 'Expression Label Model Facet'
`ExpressionLabelParser` `createExpressionLabelParser()` Returns a new object of class 'Expression Label Parser'
`ExternalParser` `createExternalParser()` Returns a new object of class 'External Parser'
`FeatureLabelModelFacet` `createFeatureLabelModelFacet()` Returns a new object of class 'Feature Label Model Facet'
`FeatureLinkModelFacet` `createFeatureLinkModelFacet()` Returns a new object of class 'Feature Link Model Facet'
`FigureViewmap` `createFigureViewmap()` Returns a new object of class 'Figure Viewmap'
`GenActionFactoryContributionItem` `createGenActionFactoryContributionItem()` Returns a new object of class 'Gen Action Factory Contribution Item'
`GenApplication` `createGenApplication()` Returns a new object of class 'Gen Application'
`GenAuditContainer` `createGenAuditContainer()` Returns a new object of class 'Gen Audit Container'
`GenAuditContext` `createGenAuditContext()` Returns a new object of class 'Gen Audit Context'
`GenAuditedMetricTarget` `createGenAuditedMetricTarget()` Returns a new object of class 'Gen Audited Metric Target'
`GenAuditRoot` `createGenAuditRoot()` Returns a new object of class 'Gen Audit Root'
`GenAuditRule` `createGenAuditRule()` Returns a new object of class 'Gen Audit Rule'
`GenChildLabelNode` `createGenChildLabelNode()` Returns a new object of class 'Gen Child Label Node'
`GenChildNode` `createGenChildNode()` Returns a new object of class 'Gen Child Node'
`GenChildSideAffixedNode` `createGenChildSideAffixedNode()` Returns a new object of class 'Gen Child Side Affixed Node'
`GenCommandAction` `createGenCommandAction()` Returns a new object of class 'Gen Command Action'
`GenCompartment` `createGenCompartment()` Returns a new object of class 'Gen Compartment'
`GenConstantColor` `createGenConstantColor()` Returns a new object of class 'Gen Constant Color'
`GenConstraint` `createGenConstraint()` Returns a new object of class 'Gen Constraint'
`GenContextMenu` `createGenContextMenu()` Returns a new object of class 'Gen Context Menu'
`GenCustomAction` `createGenCustomAction()` Returns a new object of class 'Gen Custom Action'
`GenCustomFont` `createGenCustomFont()` Returns a new object of class 'Gen Custom Font'
`GenCustomPreferencePage` `createGenCustomPreferencePage()` Returns a new object of class 'Gen Custom Preference Page'
`GenCustomPropertyTab` `createGenCustomPropertyTab()` Returns a new object of class 'Gen Custom Property Tab'
`GenDiagram` `createGenDiagram()` Returns a new object of class 'Gen Diagram'
`GenDiagramElementTarget` `createGenDiagramElementTarget()` Returns a new object of class 'Gen Diagram Element Target'
`GenDiagramPreferences` `createGenDiagramPreferences()` Returns a new object of class 'Gen Diagram Preferences'
`GenDiagramUpdater` `createGenDiagramUpdater()` Returns a new object of class 'Gen Diagram Updater'
`GenDomainAttributeTarget` `createGenDomainAttributeTarget()` Returns a new object of class 'Gen Domain Attribute Target'
`GenDomainElementTarget` `createGenDomainElementTarget()` Returns a new object of class 'Gen Domain Element Target'
`GenEditorGenerator` `createGenEditorGenerator()` Returns a new object of class 'Gen Editor Generator'
`GenEditorView` `createGenEditorView()` Returns a new object of class 'Gen Editor View'
`GenExpressionInterpreter` `createGenExpressionInterpreter()` Returns a new object of class 'Gen Expression Interpreter'
`GenExpressionProviderContainer` `createGenExpressionProviderContainer()` Returns a new object of class 'Gen Expression Provider Container'
`GenExternalNodeLabel` `createGenExternalNodeLabel()` Returns a new object of class 'Gen External Node Label'
`GenFeatureSeqInitializer` `createGenFeatureSeqInitializer()` Returns a new object of class 'Gen Feature Seq Initializer'
`GenFeatureValueSpec` `createGenFeatureValueSpec()` Returns a new object of class 'Gen Feature Value Spec'
`GenGroupMarker` `createGenGroupMarker()` Returns a new object of class 'Gen Group Marker'
`GenJavaExpressionProvider` `createGenJavaExpressionProvider()` Returns a new object of class 'Gen Java Expression Provider'
`GenLink` `createGenLink()` Returns a new object of class 'Gen Link'
`GenLinkConstraints` `createGenLinkConstraints()` Returns a new object of class 'Gen Link Constraints'
`GenLinkLabel` `createGenLinkLabel()` Returns a new object of class 'Gen Link Label'
`GenLiteralExpressionProvider` `createGenLiteralExpressionProvider()` Returns a new object of class 'Gen Literal Expression Provider'
`GenMenuManager` `createGenMenuManager()` Returns a new object of class 'Gen Menu Manager'
`GenMetricContainer` `createGenMetricContainer()` Returns a new object of class 'Gen Metric Container'
`GenMetricRule` `createGenMetricRule()` Returns a new object of class 'Gen Metric Rule'
`GenNavigator` `createGenNavigator()` Returns a new object of class 'Gen Navigator'
`GenNavigatorChildReference` `createGenNavigatorChildReference()` Returns a new object of class 'Gen Navigator Child Reference'
`GenNavigatorPath` `createGenNavigatorPath()` Returns a new object of class 'Gen Navigator Path'
`GenNavigatorPathSegment` `createGenNavigatorPathSegment()` Returns a new object of class 'Gen Navigator Path Segment'
`GenNodeLabel` `createGenNodeLabel()` Returns a new object of class 'Gen Node Label'
`GenNotationElementTarget` `createGenNotationElementTarget()` Returns a new object of class 'Gen Notation Element Target'
`GenParsers` `createGenParsers()` Returns a new object of class 'Gen Parsers'
`GenPlugin` `createGenPlugin()` Returns a new object of class 'Gen Plugin'
`GenPreference` `createGenPreference()` Returns a new object of class 'Gen Preference'
`GenPropertySheet` `createGenPropertySheet()` Returns a new object of class 'Gen Property Sheet'
`GenReferenceNewElementSpec` `createGenReferenceNewElementSpec()` Returns a new object of class 'Gen Reference New Element Spec'
`GenRGBColor` `createGenRGBColor()` Returns a new object of class 'Gen RGB Color'
`GenSeparator` `createGenSeparator()` Returns a new object of class 'Gen Separator'
`GenSharedContributionItem` `createGenSharedContributionItem()` Returns a new object of class 'Gen Shared Contribution Item'
`GenStandardFont` `createGenStandardFont()` Returns a new object of class 'Gen Standard Font'
`GenStandardPreferencePage` `createGenStandardPreferencePage()` Returns a new object of class 'Gen Standard Preference Page'
`GenStandardPropertyTab` `createGenStandardPropertyTab()` Returns a new object of class 'Gen Standard Property Tab'
`GenToolBarManager` `createGenToolBarManager()` Returns a new object of class 'Gen Tool Bar Manager'
`GenTopLevelNode` `createGenTopLevelNode()` Returns a new object of class 'Gen Top Level Node'
`InitDiagramAction` `createInitDiagramAction()` Returns a new object of class 'Init Diagram Action'
`InnerClassViewmap` `createInnerClassViewmap()` Returns a new object of class 'Inner Class Viewmap'
`LabelModelFacet` `createLabelModelFacet()` Returns a new object of class 'Label Model Facet'
`LabelOffsetAttributes` `createLabelOffsetAttributes()` Returns a new object of class 'Label Offset Attributes'
`LoadResourceAction` `createLoadResourceAction()` Returns a new object of class 'Load Resource Action'
`MetamodelType` `createMetamodelType()` Returns a new object of class 'Metamodel Type'
`ModeledViewmap` `createModeledViewmap()` Returns a new object of class 'Modeled Viewmap'
`NotationType` `createNotationType()` Returns a new object of class 'Notation Type'
`OpenDiagramBehaviour` `createOpenDiagramBehaviour()` Returns a new object of class 'Open Diagram Behaviour'
`Palette` `createPalette()` Returns a new object of class 'Palette'
`ParentAssignedViewmap` `createParentAssignedViewmap()` Returns a new object of class 'Parent Assigned Viewmap'
`PredefinedParser` `createPredefinedParser()` Returns a new object of class 'Predefined Parser'
`ResizeConstraints` `createResizeConstraints()` Returns a new object of class 'Resize Constraints'
`Separator` `createSeparator()` Returns a new object of class 'Separator'
`SharedBehaviour` `createSharedBehaviour()` Returns a new object of class 'Shared Behaviour'
`SnippetViewmap` `createSnippetViewmap()` Returns a new object of class 'Snippet Viewmap'
`SpecializationType` `createSpecializationType()` Returns a new object of class 'Specialization Type'
`StandardEntry` `createStandardEntry()` Returns a new object of class 'Standard Entry'
`StyleAttributes` `createStyleAttributes()` Returns a new object of class 'Style Attributes'
`ToolEntry` `createToolEntry()` Returns a new object of class 'Tool Entry'
`ToolGroup` `createToolGroup()` Returns a new object of class 'Tool Group'
`TypeLinkModelFacet` `createTypeLinkModelFacet()` Returns a new object of class 'Type Link Model Facet'
`TypeModelFacet` `createTypeModelFacet()` Returns a new object of class 'Type Model Facet'
`TypeTabFilter` `createTypeTabFilter()` Returns a new object of class 'Type Tab Filter'
`ValueExpression` `createValueExpression()` Returns a new object of class 'Value Expression'
`GMFGenPackage` `getGMFGenPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GMFGenFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createGenEditorGenerator

    GenEditorGenerator createGenEditorGenerator()

  Returns a new object of class 'Gen Editor Generator'.

  Returns:
    a new object of class 'Gen Editor Generator'.
  ** Generated **

### createGenDiagram

    GenDiagram createGenDiagram()

  Returns a new object of class 'Gen Diagram'.

  Returns:
    a new object of class 'Gen Diagram'.
  ** Generated **

### createGenEditorView

    GenEditorView createGenEditorView()

  Returns a new object of class 'Gen Editor View'.

  Returns:
    a new object of class 'Gen Editor View'.
  ** Generated **

### createGenCustomPreferencePage

    GenCustomPreferencePage createGenCustomPreferencePage()

  Returns a new object of class 'Gen Custom Preference Page'.

  Returns:
    a new object of class 'Gen Custom Preference Page'.
  ** Generated **

### createGenStandardPreferencePage

    GenStandardPreferencePage createGenStandardPreferencePage()

  Returns a new object of class 'Gen Standard Preference Page'.

  Returns:
    a new object of class 'Gen Standard Preference Page'.
  ** Generated **

### createGenDiagramPreferences

    GenDiagramPreferences createGenDiagramPreferences()

  Returns a new object of class 'Gen Diagram Preferences'.

  Returns:
    a new object of class 'Gen Diagram Preferences'.
  ** Generated **

### createGenStandardFont

    GenStandardFont createGenStandardFont()

  Returns a new object of class 'Gen Standard Font'.

  Returns:
    a new object of class 'Gen Standard Font'.
  ** Generated **

### createGenCustomFont

    GenCustomFont createGenCustomFont()

  Returns a new object of class 'Gen Custom Font'.

  Returns:
    a new object of class 'Gen Custom Font'.
  ** Generated **

### createGenRGBColor

    GenRGBColor createGenRGBColor()

  Returns a new object of class 'Gen RGB Color'.

  Returns:
    a new object of class 'Gen RGB Color'.
  ** Generated **

### createGenConstantColor

    GenConstantColor createGenConstantColor()

  Returns a new object of class 'Gen Constant Color'.

  Returns:
    a new object of class 'Gen Constant Color'.
  ** Generated **

### createGenPreference

    GenPreference createGenPreference()

  Returns a new object of class 'Gen Preference'.

  Returns:
    a new object of class 'Gen Preference'.
  ** Generated **

### createGenDiagramUpdater

    GenDiagramUpdater createGenDiagramUpdater()

  Returns a new object of class 'Gen Diagram Updater'.

  Returns:
    a new object of class 'Gen Diagram Updater'.
  ** Generated **

### createGenPlugin

    GenPlugin createGenPlugin()

  Returns a new object of class 'Gen Plugin'.

  Returns:
    a new object of class 'Gen Plugin'.
  ** Generated **

### createDynamicModelAccess

    DynamicModelAccess createDynamicModelAccess()

  Returns a new object of class 'Dynamic Model Access'.

  Returns:
    a new object of class 'Dynamic Model Access'.
  ** Generated **

### createCustomBehaviour

    CustomBehaviour createCustomBehaviour()

  Returns a new object of class 'Custom Behaviour'.

  Returns:
    a new object of class 'Custom Behaviour'.
  ** Generated **

### createSharedBehaviour

    SharedBehaviour createSharedBehaviour()

  Returns a new object of class 'Shared Behaviour'.

  Returns:
    a new object of class 'Shared Behaviour'.
  ** Generated **

### createOpenDiagramBehaviour

    OpenDiagramBehaviour createOpenDiagramBehaviour()

  Returns a new object of class 'Open Diagram Behaviour'.

  Returns:
    a new object of class 'Open Diagram Behaviour'.
  ** Generated **

### createGenTopLevelNode

    GenTopLevelNode createGenTopLevelNode()

  Returns a new object of class 'Gen Top Level Node'.

  Returns:
    a new object of class 'Gen Top Level Node'.
  ** Generated **

### createGenChildNode

    GenChildNode createGenChildNode()

  Returns a new object of class 'Gen Child Node'.

  Returns:
    a new object of class 'Gen Child Node'.
  ** Generated **

### createGenChildSideAffixedNode

    GenChildSideAffixedNode createGenChildSideAffixedNode()

  Returns a new object of class 'Gen Child Side Affixed Node'.

  Returns:
    a new object of class 'Gen Child Side Affixed Node'.
  ** Generated **

### createGenChildLabelNode

    GenChildLabelNode createGenChildLabelNode()

  Returns a new object of class 'Gen Child Label Node'.

  Returns:
    a new object of class 'Gen Child Label Node'.
  ** Generated **

### createGenCompartment

    GenCompartment createGenCompartment()

  Returns a new object of class 'Gen Compartment'.

  Returns:
    a new object of class 'Gen Compartment'.
  ** Generated **

### createGenLink

    GenLink createGenLink()

  Returns a new object of class 'Gen Link'.

  Returns:
    a new object of class 'Gen Link'.
  ** Generated **

### createGenNodeLabel

    GenNodeLabel createGenNodeLabel()

  Returns a new object of class 'Gen Node Label'.

  Returns:
    a new object of class 'Gen Node Label'.
  ** Generated **

### createGenExternalNodeLabel

    GenExternalNodeLabel createGenExternalNodeLabel()

  Returns a new object of class 'Gen External Node Label'.

  Returns:
    a new object of class 'Gen External Node Label'.
  ** Generated **

### createGenLinkLabel

    GenLinkLabel createGenLinkLabel()

  Returns a new object of class 'Gen Link Label'.

  Returns:
    a new object of class 'Gen Link Label'.
  ** Generated **

### createMetamodelType

    MetamodelType createMetamodelType()

  Returns a new object of class 'Metamodel Type'.

  Returns:
    a new object of class 'Metamodel Type'.
  ** Generated **

### createSpecializationType

    SpecializationType createSpecializationType()

  Returns a new object of class 'Specialization Type'.

  Returns:
    a new object of class 'Specialization Type'.
  ** Generated **

### createNotationType

    NotationType createNotationType()

  Returns a new object of class 'Notation Type'.

  Returns:
    a new object of class 'Notation Type'.
  ** Generated **

### createLabelModelFacet

    LabelModelFacet createLabelModelFacet()

  Returns a new object of class 'Label Model Facet'.

  Returns:
    a new object of class 'Label Model Facet'.
  ** Generated **

### createTypeModelFacet

    TypeModelFacet createTypeModelFacet()

  Returns a new object of class 'Type Model Facet'.

  Returns:
    a new object of class 'Type Model Facet'.
  ** Generated **

### createFeatureLabelModelFacet

    FeatureLabelModelFacet createFeatureLabelModelFacet()

  Returns a new object of class 'Feature Label Model Facet'.

  Returns:
    a new object of class 'Feature Label Model Facet'.
  ** Generated **

### createDesignLabelModelFacet

    DesignLabelModelFacet createDesignLabelModelFacet()

  Returns a new object of class 'Design Label Model Facet'.

  Returns:
    a new object of class 'Design Label Model Facet'.
  ** Generated **

### createExpressionLabelModelFacet

    ExpressionLabelModelFacet createExpressionLabelModelFacet()

  Returns a new object of class 'Expression Label Model Facet'.

  Returns:
    a new object of class 'Expression Label Model Facet'.
  ** Generated **

### createTypeLinkModelFacet

    TypeLinkModelFacet createTypeLinkModelFacet()

  Returns a new object of class 'Type Link Model Facet'.

  Returns:
    a new object of class 'Type Link Model Facet'.
  ** Generated **

### createFeatureLinkModelFacet

    FeatureLinkModelFacet createFeatureLinkModelFacet()

  Returns a new object of class 'Feature Link Model Facet'.

  Returns:
    a new object of class 'Feature Link Model Facet'.
  ** Generated **

### createColorAttributes

    ColorAttributes createColorAttributes()

  Returns a new object of class 'Color Attributes'.

  Returns:
    a new object of class 'Color Attributes'.
  ** Generated **

### createStyleAttributes

    StyleAttributes createStyleAttributes()

  Returns a new object of class 'Style Attributes'.

  Returns:
    a new object of class 'Style Attributes'.
  ** Generated **

### createResizeConstraints

    ResizeConstraints createResizeConstraints()

  Returns a new object of class 'Resize Constraints'.

  Returns:
    a new object of class 'Resize Constraints'.
  ** Generated **

### createDefaultSizeAttributes

    DefaultSizeAttributes createDefaultSizeAttributes()

  Returns a new object of class 'Default Size Attributes'.

  Returns:
    a new object of class 'Default Size Attributes'.
  ** Generated **

### createLabelOffsetAttributes

    LabelOffsetAttributes createLabelOffsetAttributes()

  Returns a new object of class 'Label Offset Attributes'.

  Returns:
    a new object of class 'Label Offset Attributes'.
  ** Generated **

### createFigureViewmap

    FigureViewmap createFigureViewmap()

  Returns a new object of class 'Figure Viewmap'.

  Returns:
    a new object of class 'Figure Viewmap'.
  ** Generated **

### createSnippetViewmap

    SnippetViewmap createSnippetViewmap()

  Returns a new object of class 'Snippet Viewmap'.

  Returns:
    a new object of class 'Snippet Viewmap'.
  ** Generated **

### createInnerClassViewmap

    InnerClassViewmap createInnerClassViewmap()

  Returns a new object of class 'Inner Class Viewmap'.

  Returns:
    a new object of class 'Inner Class Viewmap'.
  ** Generated **

### createParentAssignedViewmap

    ParentAssignedViewmap createParentAssignedViewmap()

  Returns a new object of class 'Parent Assigned Viewmap'.

  Returns:
    a new object of class 'Parent Assigned Viewmap'.
  ** Generated **

### createModeledViewmap

    ModeledViewmap createModeledViewmap()

  Returns a new object of class 'Modeled Viewmap'.

  Returns:
    a new object of class 'Modeled Viewmap'.
  ** Generated **

### createPalette

    Palette createPalette()

  Returns a new object of class 'Palette'.

  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createToolEntry

    ToolEntry createToolEntry()

  Returns a new object of class 'Tool Entry'.

  Returns:
    a new object of class 'Tool Entry'.
  ** Generated **

### createStandardEntry

    StandardEntry createStandardEntry()

  Returns a new object of class 'Standard Entry'.

  Returns:
    a new object of class 'Standard Entry'.
  ** Generated **

### createSeparator

    Separator createSeparator()

  Returns a new object of class 'Separator'.

  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createToolGroup

    ToolGroup createToolGroup()

  Returns a new object of class 'Tool Group'.

  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createGenFeatureSeqInitializer

    GenFeatureSeqInitializer createGenFeatureSeqInitializer()

  Returns a new object of class 'Gen Feature Seq Initializer'.

  Returns:
    a new object of class 'Gen Feature Seq Initializer'.
  ** Generated **

### createGenFeatureValueSpec

    GenFeatureValueSpec createGenFeatureValueSpec()

  Returns a new object of class 'Gen Feature Value Spec'.

  Returns:
    a new object of class 'Gen Feature Value Spec'.
  ** Generated **

### createGenReferenceNewElementSpec

    GenReferenceNewElementSpec createGenReferenceNewElementSpec()

  Returns a new object of class 'Gen Reference New Element Spec'.

  Returns:
    a new object of class 'Gen Reference New Element Spec'.
  ** Generated **

### createGenLinkConstraints

    GenLinkConstraints createGenLinkConstraints()

  Returns a new object of class 'Gen Link Constraints'.

  Returns:
    a new object of class 'Gen Link Constraints'.
  ** Generated **

### createGenAuditRoot

    GenAuditRoot createGenAuditRoot()

  Returns a new object of class 'Gen Audit Root'.

  Returns:
    a new object of class 'Gen Audit Root'.
  ** Generated **

### createGenAuditContainer

    GenAuditContainer createGenAuditContainer()

  Returns a new object of class 'Gen Audit Container'.

  Returns:
    a new object of class 'Gen Audit Container'.
  ** Generated **

### createGenAuditRule

    GenAuditRule createGenAuditRule()

  Returns a new object of class 'Gen Audit Rule'.

  Returns:
    a new object of class 'Gen Audit Rule'.
  ** Generated **

### createGenDomainElementTarget

    GenDomainElementTarget createGenDomainElementTarget()

  Returns a new object of class 'Gen Domain Element Target'.

  Returns:
    a new object of class 'Gen Domain Element Target'.
  ** Generated **

### createGenDiagramElementTarget

    GenDiagramElementTarget createGenDiagramElementTarget()

  Returns a new object of class 'Gen Diagram Element Target'.

  Returns:
    a new object of class 'Gen Diagram Element Target'.
  ** Generated **

### createGenDomainAttributeTarget

    GenDomainAttributeTarget createGenDomainAttributeTarget()

  Returns a new object of class 'Gen Domain Attribute Target'.

  Returns:
    a new object of class 'Gen Domain Attribute Target'.
  ** Generated **

### createGenNotationElementTarget

    GenNotationElementTarget createGenNotationElementTarget()

  Returns a new object of class 'Gen Notation Element Target'.

  Returns:
    a new object of class 'Gen Notation Element Target'.
  ** Generated **

### createGenMetricContainer

    GenMetricContainer createGenMetricContainer()

  Returns a new object of class 'Gen Metric Container'.

  Returns:
    a new object of class 'Gen Metric Container'.
  ** Generated **

### createGenMetricRule

    GenMetricRule createGenMetricRule()

  Returns a new object of class 'Gen Metric Rule'.

  Returns:
    a new object of class 'Gen Metric Rule'.
  ** Generated **

### createGenAuditedMetricTarget

    GenAuditedMetricTarget createGenAuditedMetricTarget()

  Returns a new object of class 'Gen Audited Metric Target'.

  Returns:
    a new object of class 'Gen Audited Metric Target'.
  ** Generated **

### createGenAuditContext

    GenAuditContext createGenAuditContext()

  Returns a new object of class 'Gen Audit Context'.

  Returns:
    a new object of class 'Gen Audit Context'.
  ** Generated **

### createGenExpressionProviderContainer

    GenExpressionProviderContainer createGenExpressionProviderContainer()

  Returns a new object of class 'Gen Expression Provider Container'.

  Returns:
    a new object of class 'Gen Expression Provider Container'.
  ** Generated **

### createGenJavaExpressionProvider

    GenJavaExpressionProvider createGenJavaExpressionProvider()

  Returns a new object of class 'Gen Java Expression Provider'.

  Returns:
    a new object of class 'Gen Java Expression Provider'.
  ** Generated **

### createGenExpressionInterpreter

    GenExpressionInterpreter createGenExpressionInterpreter()

  Returns a new object of class 'Gen Expression Interpreter'.

  Returns:
    a new object of class 'Gen Expression Interpreter'.
  ** Generated **

### createGenLiteralExpressionProvider

    GenLiteralExpressionProvider createGenLiteralExpressionProvider()

  Returns a new object of class 'Gen Literal Expression Provider'.

  Returns:
    a new object of class 'Gen Literal Expression Provider'.
  ** Generated **

### createGenNavigator

    GenNavigator createGenNavigator()

  Returns a new object of class 'Gen Navigator'.

  Returns:
    a new object of class 'Gen Navigator'.
  ** Generated **

### createGenNavigatorChildReference

    GenNavigatorChildReference createGenNavigatorChildReference()

  Returns a new object of class 'Gen Navigator Child Reference'.

  Returns:
    a new object of class 'Gen Navigator Child Reference'.
  ** Generated **

### createGenNavigatorPath

    GenNavigatorPath createGenNavigatorPath()

  Returns a new object of class 'Gen Navigator Path'.

  Returns:
    a new object of class 'Gen Navigator Path'.
  ** Generated **

### createGenNavigatorPathSegment

    GenNavigatorPathSegment createGenNavigatorPathSegment()

  Returns a new object of class 'Gen Navigator Path Segment'.

  Returns:
    a new object of class 'Gen Navigator Path Segment'.
  ** Generated **

### createGenPropertySheet

    GenPropertySheet createGenPropertySheet()

  Returns a new object of class 'Gen Property Sheet'.

  Returns:
    a new object of class 'Gen Property Sheet'.
  ** Generated **

### createGenStandardPropertyTab

    GenStandardPropertyTab createGenStandardPropertyTab()

  Returns a new object of class 'Gen Standard Property Tab'.

  Returns:
    a new object of class 'Gen Standard Property Tab'.
  ** Generated **

### createGenCustomPropertyTab

    GenCustomPropertyTab createGenCustomPropertyTab()

  Returns a new object of class 'Gen Custom Property Tab'.

  Returns:
    a new object of class 'Gen Custom Property Tab'.
  ** Generated **

### createTypeTabFilter

    TypeTabFilter createTypeTabFilter()

  Returns a new object of class 'Type Tab Filter'.

  Returns:
    a new object of class 'Type Tab Filter'.
  ** Generated **

### createCustomTabFilter

    CustomTabFilter createCustomTabFilter()

  Returns a new object of class 'Custom Tab Filter'.

  Returns:
    a new object of class 'Custom Tab Filter'.
  ** Generated **

### createGenSharedContributionItem

    GenSharedContributionItem createGenSharedContributionItem()

  Returns a new object of class 'Gen Shared Contribution Item'.

  Returns:
    a new object of class 'Gen Shared Contribution Item'.
  ** Generated **

### createGenGroupMarker

    GenGroupMarker createGenGroupMarker()

  Returns a new object of class 'Gen Group Marker'.

  Returns:
    a new object of class 'Gen Group Marker'.
  ** Generated **

### createGenSeparator

    GenSeparator createGenSeparator()

  Returns a new object of class 'Gen Separator'.

  Returns:
    a new object of class 'Gen Separator'.
  ** Generated **

### createGenCustomAction

    GenCustomAction createGenCustomAction()

  Returns a new object of class 'Gen Custom Action'.

  Returns:
    a new object of class 'Gen Custom Action'.
  ** Generated **

### createGenCommandAction

    GenCommandAction createGenCommandAction()

  Returns a new object of class 'Gen Command Action'.

  Returns:
    a new object of class 'Gen Command Action'.
  ** Generated **

### createLoadResourceAction

    LoadResourceAction createLoadResourceAction()

  Returns a new object of class 'Load Resource Action'.

  Returns:
    a new object of class 'Load Resource Action'.
  ** Generated **

### createInitDiagramAction

    InitDiagramAction createInitDiagramAction()

  Returns a new object of class 'Init Diagram Action'.

  Returns:
    a new object of class 'Init Diagram Action'.
  ** Generated **

### createCreateShortcutAction

    CreateShortcutAction createCreateShortcutAction()

  Returns a new object of class 'Create Shortcut Action'.

  Returns:
    a new object of class 'Create Shortcut Action'.
  ** Generated **

### createGenActionFactoryContributionItem

    GenActionFactoryContributionItem createGenActionFactoryContributionItem()

  Returns a new object of class 'Gen Action Factory Contribution Item'.

  Returns:
    a new object of class 'Gen Action Factory Contribution Item'.
  ** Generated **

### createGenMenuManager

    GenMenuManager createGenMenuManager()

  Returns a new object of class 'Gen Menu Manager'.

  Returns:
    a new object of class 'Gen Menu Manager'.
  ** Generated **

### createGenToolBarManager

    GenToolBarManager createGenToolBarManager()

  Returns a new object of class 'Gen Tool Bar Manager'.

  Returns:
    a new object of class 'Gen Tool Bar Manager'.
  ** Generated **

### createGenContextMenu

    GenContextMenu createGenContextMenu()

  Returns a new object of class 'Gen Context Menu'.

  Returns:
    a new object of class 'Gen Context Menu'.
  ** Generated **

### createGenApplication

    GenApplication createGenApplication()

  Returns a new object of class 'Gen Application'.

  Returns:
    a new object of class 'Gen Application'.
  ** Generated **

### createGenParsers

    GenParsers createGenParsers()

  Returns a new object of class 'Gen Parsers'.

  Returns:
    a new object of class 'Gen Parsers'.
  ** Generated **

### createPredefinedParser

    PredefinedParser createPredefinedParser()

  Returns a new object of class 'Predefined Parser'.

  Returns:
    a new object of class 'Predefined Parser'.
  ** Generated **

### createExpressionLabelParser

    ExpressionLabelParser createExpressionLabelParser()

  Returns a new object of class 'Expression Label Parser'.

  Returns:
    a new object of class 'Expression Label Parser'.
  ** Generated **

### createCustomParser

    CustomParser createCustomParser()

  Returns a new object of class 'Custom Parser'.

  Returns:
    a new object of class 'Custom Parser'.
  ** Generated **

### createExternalParser

    ExternalParser createExternalParser()

  Returns a new object of class 'External Parser'.

  Returns:
    a new object of class 'External Parser'.
  ** Generated **

### createValueExpression

    ValueExpression createValueExpression()

  Returns a new object of class 'Value Expression'.

  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createGenConstraint

    GenConstraint createGenConstraint()

  Returns a new object of class 'Gen Constraint'.

  Returns:
    a new object of class 'Gen Constraint'.
  ** Generated **

### getGMFGenPackage

    GMFGenPackage getGMFGenPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.